summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDan Nicholson <dbn.lists@gmail.com>2008-03-07 12:04:17 -0800
committerDan Nicholson <dbn.lists@gmail.com>2008-03-10 12:36:57 -0700
commitd895a98de3a05cc02c8fa5a2121ae81ca46a7444 (patch)
tree611e77178f804d36d7431465a14de1595cd19598 /autogen.sh
parentbe8354061e8f55f2118443497959c31c1e3b3fdc (diff)
autoconf: Add autogen.sh from Xorg for easier setup from git
The defacto method to rebuild the autotools and run the generated configure is an autogen.sh script. It is much more discoverable than the custom `make configure' used here. The Makefile targets are still useful for creating tarballs, though. This autogen.sh is copied from Xorg.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..19e5b55f
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+srcdir=`dirname "$0"`
+test -z "$srcdir" && srcdir=.
+
+SRCDIR=`(cd "$srcdir" && pwd)`
+ORIGDIR=`pwd`
+
+if test "x$SRCDIR" != "x$ORIGDIR"; then
+ echo "Mesa cannot be built when srcdir != builddir" 1>&2
+ exit 1
+fi
+
+autoreconf -v --install || exit 1
+
+"$srcdir"/configure "$@"